org.gradle.api.artifacts

## Class PublishException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.api.artifacts.PublishException

- All Implemented Interfaces:
    Serializable

      public class PublishException
      extends GradleException

  A `PublishException` is thrown when a dependency configuration cannot be published for some reason.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PublishException(String message)`
    `PublishException(String message, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PublishException

          public PublishException(String message,
                          Throwable cause)

    - #### PublishException

          public PublishException(String message)